Bug 1804828 - Trying to install Fedora from a USB stick but install fails.
Summary: Trying to install Fedora from a USB stick but install fails.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 17:21 UTC by c.lennox
Modified: 2020-07-02 08:37 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-02 08:37:27 UTC
Type: Bug


Attachments (Terms of Use)
Full error in attachment (1.59 MB, text/plain)
2020-02-19 17:21 UTC, c.lennox
no flags Details

Description c.lennox 2020-02-19 17:21:24 UTC
Created attachment 1664097 [details]
Full error in attachment

Description of problem:

Trying to boot and install Fedora 31 from USB Stick


Version-Release number of selected component (if applicable):

31


How reproducible:

Seems to occur every time. Have tried multiple USB sticks.


Steps to Reproduce:
Trying to boot and install Fedora 31 from any USB Stick

Actual results:
Install to disk from live run fails - See additional information below - Full error in attachment

Expected results:
Successful install

Additional info:
anaconda 31.22.6 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.7/site-packages/blivet/formats/disklabel.py", line 365, in commit
    raise DiskLabelCommitError(msg)
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/blivet/formats/disklabel.py", line 356, in _create
    self.commit()
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/blivet/formats/__init__.py", line 513, in create
    self._create(**kwargs)
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/blivet/deviceaction.py", line 634, in execute
    options=self.device.format_args)
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/blivet/actionlist.py", line 338, in process
    action.execute(callbacks)
  File "/usr/lib/python3.7/site-packages/blivet/actionlist.py", line 48, in wrapped_func
    return func(obj, *args, **kwargs)
  File "/usr/lib/python3.7/site-packages/blivet/blivet.py", line 106, in do_it
    self.devicetree.actions.process(callbacks=callbacks, devices=self.devices)
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/storage/installation.py", line 50, in turn_on_filesystems
    storage.do_it(callbacks)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/installation_tasks.py", line 450, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/installation_tasks.py", line 484, in start
    self.run_task()
  File "/usr/lib64/python3.7/site-packages/pyanaconda/installation_tasks.py", line 305, in start
    item.start()
  File "/usr/lib64/python3.7/site-packages/pyanaconda/installation_tasks.py", line 305, in start
    item.start()
  File "/usr/lib64/python3.7/site-packages/pyanaconda/installation_tasks.py", line 305, in start
    item.start()
  File "/usr/lib64/python3.7/site-packages/pyanaconda/installation.py", line 394, in run_installation
    queue.start()
  File "/usr/lib64/python3.7/threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/threading.py", line 280, in run
    threading.Thread.run(self)
blivet.errors.DiskLabelCommitError: Could not commit to disk /dev/sda, (py_ped_disk_commit)

Local variables in innermost frame:
self: non-existent gpt disklabel

Comment 1 Vojtech Trefny 2020-03-20 12:53:32 UTC
This is most likely a hardware problem, please check your harddrive, journal is full of IO errors and the installer error simply means we failed to write data to the disk:

Feb 19 12:14:27 localhost-live kernel: blk_update_request: I/O error, dev sda, sector 0 op 0x1:(WRITE) flags 0x100000 phys_seg 3 prio class 0
Feb 19 12:14:27 localhost-live kernel: blk_update_request: I/O error, dev sda, sector 0 op 0x1:(WRITE) flags 0x800 phys_seg 0 prio class 0
Feb 19 12:14:27 localhost-live kernel: Buffer I/O error on dev sda, logical block 0, lost async page write
Feb 19 12:14:27 localhost-live kernel: Buffer I/O error on dev sda, logical block 1, lost async page write
Feb 19 12:14:27 localhost-live kernel: Buffer I/O error on dev sda, logical block 2, lost async page write
Feb 19 12:14:27 localhost-live kernel: blk_update_request: I/O error, dev sda, sector 0 op 0x1:(WRITE) flags 0x800 phys_seg 0 prio class 0
Feb 19 12:14:27 localhost-live kernel: Buffer I/O error on dev sda, logical block 0, lost async page write
Feb 19 12:14:27 localhost-live kernel: Buffer I/O error on dev sda, logical block 1, lost async page write
Feb 19 12:14:27 localhost-live kernel: Buffer I/O error on dev sda, logical block 2, lost async page write


Note You need to log in before you can comment on or make changes to this bug.